package org.gcube.application.geoportal.common.rest;

import org.gcube.application.geoportal.common.model.legacy.Concessione;

import java.util.Iterator;

public interface MongoConcessioni {

	public Concessione createNew(Concessione c) throws Exception;
	public void deleteById(String id) throws Exception;
	public void deleteById(String id,Boolean force) throws Exception;
	public Concessione getById(String id) throws Exception;
	public Iterator<Concessione> getList()throws Exception;
	public Concessione publish(String id) throws Exception;
	public Concessione registerFile(String id, AddSectionToConcessioneRequest request) throws Exception;
	public Concessione update(String id, String jsonUpdate) throws Exception;
	public Concessione replace(Concessione replacement) throws Exception;

	public void unpublish(String id)throws Exception;
	
}
